body{margin: 0; padding: 0; box-sizing: border-box; font-family: Microsoft JhengHei;}

.mainWrap{display: flex; flex-direction: column; min-height: 100vh; width: 100%;}

.shareHeader{display: block; width: 100%; height: 80px; background: #1F5C6E;}
.shareFooter{display: block; width: 100%; height: 80px; background: #1F5C6E;}

.mainWrap .stretchWrap{display: block; flex: 1 1 auto;}

.mainWrap .urlEnterBlock{display: block; width: 90%; flex: 0 0 auto; background: #f1f1f1; margin: 15px auto; padding: 30px; border-radius: 30px; background: url('../img/bg.png') no-repeat center top / cover; background-color: #e9fcff;}
.mainWrap .urlEnterBlock h1, .mainWrap .urlEnterBlock h2{display: block; width: fit-content; margin: 0 auto; color: #343434;}
.mainWrap .urlEnterBlock h1{font-size: 36px; font-weight: bolder; margin-bottom: 20px;}
.mainWrap .urlEnterBlock h2{font-size: 22px; margin-bottom: 30px;}
.mainWrap .urlEnterBlock .loginRequest{display: flex; align-items: center; justify-content: center; width: 100%; margin-bottom: 30px;}
.mainWrap .urlEnterBlock .loginRequest h3{font-size: 20px; font-weight: bolder; color: #1F5C6E;}
.mainWrap .urlEnterBlock .loginRequest a{display: block; padding: 5px 10px; font-size: 16px; background: #76B76C; color: #fff; border-radius: 5px; cursor: pointer;}

.mainWrap .urlEnterBlock .inputBlock{display: block; width: 100%; max-width: 800px; margin: 0 auto;}
.mainWrap .urlEnterBlock .inputBlock .input{display: block; width: 100%; position: relative; margin-bottom: 30px;}
.mainWrap .urlEnterBlock .inputBlock .input input{display: block; width: 100%; line-height: 30px; font-size: 20px; padding: 10px 71px 10px 15px; background: #fff; border: 2px solid #1F5C6E; border-radius: 30px; box-sizing: border-box; outline: none; color: #343434;}
.mainWrap .urlEnterBlock .inputBlock .input button{display: block; width: 45px; height: 45px; padding: 0; font-size: 30px; border-radius: 50%; background: #76B76C; color: #ffffff; border: none; overflow: hidden; position: absolute; top: calc(50% - 22.5px); right: 6px; cursor: pointer; transition: .3s;}
.mainWrap .urlEnterBlock .inputBlock .input button:hover{transform: scale(1.5); transition: .3s;}

.mainWrap .urlEnterBlock .inputBlock .urlShowBlock{display: flex; align-items: center; justify-content: center;}
.mainWrap .urlEnterBlock .inputBlock .urlShowBlock .urlTarget{display: block; width: fit-content; margin: 0 auto; font-size: 30px; font-weight: bolder; text-align: center; color: #cccccc; margin: 0 10px 0 0;}
.mainWrap .urlEnterBlock .inputBlock .urlShowBlock .urlTarget--act{color: #1F5C6E; animation: shine 1s forwards; cursor: pointer;}

.mainWrap .urlEnterBlock .inputBlock .urlShowBlock .linkCopy{display: none; width: 50px; height: 50px; border-radius: 50%; border: none; background: url('../img/copy.png') no-repeat center center / 60% 60%; background-color: #f1f1f1; cursor: pointer;}

@keyframes shine {
    0%{opacity: 0;}
    16%{opacity: 1;}
    32%{opacity: 0;}
    48%{opacity: 1;}
    64%{opacity: 0;}
    100%{opacity: 1;}
}